curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{id}/resize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'Change the hardware configuration of a compute instance by selecting a different size. The instance must be stopped before resizing. After resizing, the instance will have new CPU, memory, and potentially disk allocations based on the selected size.
curl --request POST \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{id}/resize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
A UUID string identifying this Instance.
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Instance resize initiated successfully